%define module	django
%define tarname	Django
%define name	python-%module
%define version	1.2.4
%define release	%mkrel 1

Summary:	A high-level Python Web framework
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	http://media.djangoproject.com/releases/%{version}/%{tarname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://www.djangoproject.com
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	noarch
BuildRequires:	python-setuptools, python-sphinx
%py_requires -d

%description
Django is a high-level Python Web framework that encourages rapid development
and clean, pragmatic design.

Developed and used over the past two years by a fast-moving online-news
operation, Django was designed from scratch to handle two challenges: the
intensive deadlines of a newsroom and the stringent requirements of experienced
Web developers. It has convenient niceties for developing content-management
systems, but it's an excellent tool for building any Web site.

Django focuses on automating as much as possible and adhering to the
DRY principle.

%prep
%setup -q -n %{tarname}-%{version}
sed -i 's/^\(ez_setup.use_setuptools\)/#\1/' setup.py

%build
PYTHONDONTWRITEBYTECODE= %__python setup.py build
make -C docs/ html

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot}

%clean
%__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE README docs/_build/html
%_bindir/*
%py_puresitedir/%{module}
%py_puresitedir/%{tarname}-*.egg-info


%changelog
* Fri Jan 28 2011 Guillaume Rousse <guillomovitch@mandriva.org> 1.2.4-1mdv2010.0
+ Revision: 633687
- new version

* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 1.2.3-2mdv2011.0
+ Revision: 590117
- rebuild for python 2.7

* Sun Sep 12 2010 Michael Scherer <misc@mandriva.org> 1.2.3-1mdv2011.0
+ Revision: 577706
- update to 1.2.3, security fixes

* Mon May 24 2010 Lev Givon <lev@mandriva.org> 1.2.1-1mdv2011.0
+ Revision: 545833
- Update to 1.2.1.
- Update to 1.2.

* Thu Apr 22 2010 Lev Givon <lev@mandriva.org> 1.1.1-3mdv2010.1
+ Revision: 538032
- Build documentation.

* Wed Mar 17 2010 Oden Eriksson <oeriksson@mandriva.com> 1.1.1-2mdv2010.1
+ Revision: 523764
- rebuilt for 2010.1

* Sun Oct 11 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1.1-1mdv2010.0
+ Revision: 456644
- update to new version 1.1.1

* Mon Aug 03 2009 Frederik Himpe <fhimpe@mandriva.org> 1.1-1mdv2010.0
+ Revision: 408536
- Update to new version 1.1

* Fri Jun 19 2009 Lev Givon <lev@mandriva.org> 1.0.2-1mdv2010.0
+ Revision: 387237
- Update to 1.0.2-final.

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 1.0-2mdv2009.1
+ Revision: 319398
- fix file list
- rebuild for new python

* Thu Sep 04 2008 Michael Scherer <misc@mandriva.org> 1.0-1mdv2009.0
+ Revision: 280390
- update to new version 1.0

* Wed Sep 03 2008 Michael Scherer <misc@mandriva.org> 0.96.3-1mdv2009.0
+ Revision: 279588
- update to 0.96.3
- fix end of line spacing

* Tue May 20 2008 Michael Scherer <misc@mandriva.org> 0.96.2-1mdv2009.0
+ Revision: 209329
- new version

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Nov 09 2007 Michael Scherer <misc@mandriva.org> 0.96.1-1mdv2008.1
+ Revision: 107003
- update to latest version
- really fix the backporting ( in fact, unbreak the build on cooker )
- fix backporting on 2007.0

* Tue May 01 2007 Michael Scherer <misc@mandriva.org> 0.96-1mdv2008.0
+ Revision: 19918
- update to 0.96


* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.95-2mdv2007.0
+ Revision: 90841
- Rebuild

  + Michael Scherer <misc@mandriva.org>
    - Import python-django

* Tue Aug 01 2006 Michael Scherer <misc@mandriva.org> 0.95-1mdv2007.0
- New version 0.95

* Fri Jan 13 2006 Michael Scherer <misc@mandriva.org> 0.91-1mdk
- New release 0.91

* Thu Nov 17 2005 Michael Scherer <misc@mandriva.org> 0.90-1mdk
- initial package

